-- Adminer 4.7.5 MySQL dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

DROP TABLE IF EXISTS `Attracted`;
CREATE TABLE `Attracted` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `idGender` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  KEY `idGender` (`idGender`),
  CONSTRAINT `Attracted_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`),
  CONSTRAINT `Attracted_ibfk_2` FOREIGN KEY (`idGender`) REFERENCES `Gender` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Blocking`;
CREATE TABLE `Blocking` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idSender` int(11) NOT NULL,
  `idTarget` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idBlockedUser` (`idSender`),
  KEY `idBlockerUser` (`idTarget`),
  CONSTRAINT `Blocking_ibfk_1` FOREIGN KEY (`idSender`) REFERENCES `User` (`id`),
  CONSTRAINT `Blocking_ibfk_2` FOREIGN KEY (`idTarget`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `ConnectionTicket`;
CREATE TABLE `ConnectionTicket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `lastAlive` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  CONSTRAINT `ConnectionTicket_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Gender`;
CREATE TABLE `Gender` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `Gender` (`id`, `name`) VALUES
(1,	'woman'),
(2,	'man'),
(3,	'other');

DROP TABLE IF EXISTS `Like`;
CREATE TABLE `Like` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idSender` int(11) NOT NULL,
  `idTarget` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idLiked` (`idSender`),
  KEY `idLiker` (`idTarget`),
  CONSTRAINT `Like_ibfk_1` FOREIGN KEY (`idSender`) REFERENCES `User` (`id`),
  CONSTRAINT `Like_ibfk_2` FOREIGN KEY (`idTarget`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Message`;
CREATE TABLE `Message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` varchar(140) NOT NULL,
  `idSender` int(11) NOT NULL,
  `idTarget` int(11) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `isSeen` bit(1) NOT NULL DEFAULT b'0',
  PRIMARY KEY (`id`),
  KEY `idSender` (`idSender`),
  KEY `idTarget` (`idTarget`),
  CONSTRAINT `Message_ibfk_1` FOREIGN KEY (`idSender`) REFERENCES `User` (`id`),
  CONSTRAINT `Message_ibfk_2` FOREIGN KEY (`idTarget`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Notification`;
CREATE TABLE `Notification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message` varchar(140) NOT NULL,
  `idUser` int(11) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `isSeen` bit(1) NOT NULL DEFAULT b'0',
  `link` text NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  CONSTRAINT `Notification_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Photo`;
CREATE TABLE `Photo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `image` longblob NOT NULL,
  `profilePhoto` bit(1) NOT NULL,
  `idUser` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  CONSTRAINT `Photo_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `RegisterTicket`;
CREATE TABLE `RegisterTicket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(40) NOT NULL,
  `idUser` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  CONSTRAINT `RegisterTicket_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Report`;
CREATE TABLE `Report` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idSender` int(11) NOT NULL,
  `idTarget` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idReportedUser` (`idSender`),
  KEY `idReporterUser` (`idTarget`),
  CONSTRAINT `Report_ibfk_1` FOREIGN KEY (`idSender`) REFERENCES `User` (`id`),
  CONSTRAINT `Report_ibfk_2` FOREIGN KEY (`idTarget`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `ResetTicket`;
CREATE TABLE `ResetTicket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(40) NOT NULL,
  `idUser` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  CONSTRAINT `ResetTicket_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Tag`;
CREATE TABLE `Tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `Tag` (`id`, `name`) VALUES
(1,	'3D printing'),
(2,	'Acrobatics'),
(3,	'Acting'),
(4,	'Amateur radio'),
(5,	'Animation'),
(6,	'Aquascaping'),
(7,	'Astronomy'),
(8,	'Baking'),
(9,	'Baton twirling'),
(10,	'Beatboxing'),
(11,	'Blogging'),
(12,	'Building'),
(13,	'Board/tabletop games'),
(14,	'Book discussion clubs'),
(15,	'Book restoration'),
(16,	'Bowling'),
(17,	'Brazilian jiu-jitsu'),
(18,	'Breadmaking'),
(19,	'Cabaret'),
(20,	'Calligraphy'),
(21,	'Candle making'),
(22,	'Car fixing & building'),
(23,	'Card games'),
(24,	'Cheesemaking'),
(25,	'Clothesmaking'),
(26,	'Coffee roasting'),
(27,	'Collecting'),
(28,	'Coloring'),
(29,	'Computer programming'),
(30,	'Confectionery'),
(31,	'Cooking'),
(32,	'Cosplaying'),
(33,	'Couponing'),
(34,	'Craft'),
(35,	'Creative writing'),
(36,	'Crocheting'),
(37,	'Cross-stitch'),
(38,	'Crossword puzzles'),
(39,	'Cryptography'),
(40,	'Cue sports'),
(41,	'Dance'),
(42,	'Diary writing'),
(43,	'Digital arts'),
(44,	'Distro Hopping'),
(45,	'Djing'),
(46,	'Do it yourself'),
(47,	'Drama'),
(48,	'Drawing'),
(49,	'Drink mixing'),
(50,	'Electronics'),
(51,	'Embroidery'),
(52,	'Experimenting'),
(53,	'Fantasy sports'),
(54,	'Fashion'),
(55,	'Fashion design'),
(56,	'Fishkeeping'),
(57,	'Flower arranging'),
(58,	'Foreign language learning'),
(59,	'Furniture building'),
(60,	'Gaming (tabletop games and role-'),
(61,	'Genealogy'),
(62,	'Gingerbread house making'),
(63,	'Glassblowing'),
(64,	'Graphic design'),
(65,	'Gunsmithing'),
(66,	'Herp keeping'),
(67,	'Home improvement'),
(68,	'Homebrewing'),
(69,	'Hula hooping'),
(70,	'Hydroponics'),
(71,	'Ice skating'),
(72,	'Jewelry making'),
(73,	'Jigsaw puzzles'),
(74,	'Juggling'),
(75,	'Karaoke'),
(76,	'Karate'),
(77,	'Kendama'),
(78,	'Knife making'),
(79,	'Knitting'),
(80,	'Knot tying'),
(81,	'Kombucha brewing'),
(82,	'Lace making'),
(83,	'Lapidary'),
(84,	'Leather crafting'),
(85,	'Lego building'),
(86,	'Lock picking'),
(87,	'Listening to music'),
(88,	'Listening to podcasts'),
(89,	'Machining'),
(90,	'Macrame'),
(91,	'Magic'),
(92,	'Makeup'),
(93,	'Metalworking'),
(94,	'Model building'),
(95,	'Model engineering'),
(96,	'Nail art'),
(97,	'Needlepoint'),
(98,	'Origami'),
(99,	'Painting'),
(100,	'Pet adoption & fostering'),
(101,	'Philately'),
(102,	'Photography'),
(103,	'Practical jokes'),
(104,	'Pressed flower craft'),
(105,	'Playing musical instruments'),
(106,	'Poi'),
(107,	'Pottery'),
(108,	'Puzzles'),
(109,	'Quilling'),
(110,	'Quilting'),
(111,	'Quizzes'),
(112,	'Rail transport modeling'),
(113,	'Rapping'),
(114,	'Reading'),
(115,	'Refinishing'),
(116,	'Robot combat'),
(117,	'Rubik\'s Cube'),
(118,	'Scrapbooking'),
(119,	'Sculpting'),
(120,	'Sewing'),
(121,	'Shoemaking'),
(122,	'Singing'),
(123,	'Sketching'),
(124,	'Soapmaking'),
(125,	'Social media'),
(126,	'Stand-up comedy'),
(127,	'Stamp collecting'),
(128,	'Table tennis'),
(129,	'Taxidermy'),
(130,	'Thrifting'),
(131,	'Video editing'),
(132,	'Video game developing'),
(133,	'Video gaming'),
(134,	'Watching movies'),
(135,	'Watching television'),
(136,	'Weaving'),
(137,	'Weight training'),
(138,	'Welding'),
(139,	'Whittling'),
(140,	'Wikipedia editing'),
(141,	'Winemaking'),
(142,	'Wood carving'),
(143,	'Woodworking'),
(144,	'Worldbuilding'),
(145,	'Writing'),
(146,	'Word searches'),
(147,	'Yo-yoing'),
(148,	'Yoga'),
(149,	'Air sports'),
(150,	'Archery'),
(151,	'Astronomy'),
(152,	'Backpacking'),
(153,	'BASE jumping'),
(154,	'Baseball'),
(155,	'Basketball'),
(156,	'Beekeeping'),
(157,	'Birdwatching'),
(158,	'Blacksmithing'),
(159,	'BMX'),
(160,	'Board sports'),
(161,	'Bodybuilding'),
(162,	'Butterfly watching'),
(163,	'Camping'),
(164,	'Canoeing'),
(165,	'Canyoning'),
(166,	'Caving'),
(167,	'Composting'),
(168,	'Cycling'),
(169,	'Dowsing'),
(170,	'Driving'),
(171,	'Fishing'),
(172,	'Flag football'),
(173,	'Flower growing'),
(174,	'Flying'),
(175,	'Flying disc'),
(176,	'Foraging'),
(177,	'Freestyle football'),
(178,	'Gardening'),
(179,	'Geocaching'),
(180,	'Ghost hunting'),
(181,	'Gold prospecting'),
(182,	'Graffiti'),
(183,	'Handball'),
(184,	'Herbalism'),
(185,	'Herping'),
(186,	'High-power rocketry'),
(187,	'Hiking'),
(188,	'Hobby horsing'),
(189,	'Hooping'),
(190,	'Horseback riding'),
(191,	'Hunting'),
(192,	'Inline skating'),
(193,	'Jogging'),
(194,	'Kayaking'),
(195,	'Kite flying'),
(196,	'Kitesurfing'),
(197,	'Lacrosse'),
(198,	'LARPing'),
(199,	'Letterboxing'),
(200,	'Longboarding'),
(201,	'Martial arts'),
(202,	'Metal detecting'),
(203,	'Meteorology'),
(204,	'Motor sports'),
(205,	'Mountain biking'),
(206,	'Mountaineering'),
(207,	'Mushroom hunting/mycology'),
(208,	'Netball'),
(209,	'Nordic skating'),
(210,	'Orienteering'),
(211,	'Paintball'),
(212,	'Parkour'),
(213,	'Photography'),
(214,	'Podcast hosting'),
(215,	'Polo'),
(216,	'Powerlifting'),
(217,	'Rafting'),
(218,	'Rappelling'),
(219,	'Road biking'),
(220,	'Rock climbing'),
(221,	'Roller skating'),
(222,	'Rugby'),
(223,	'Running'),
(224,	'Sailing'),
(225,	'Sand art'),
(226,	'Scouting'),
(227,	'Scuba diving'),
(228,	'Sculling or rowing'),
(229,	'Shooting'),
(230,	'Shopping'),
(231,	'Skateboarding'),
(232,	'Skiing'),
(233,	'Skimboarding'),
(234,	'Skydiving'),
(235,	'Slacklining'),
(236,	'Snowboarding'),
(237,	'Soccer'),
(238,	'Stone skipping'),
(239,	'Sun bathing'),
(240,	'Surfing'),
(241,	'Survivalism'),
(242,	'Swimming'),
(243,	'Taekwondo'),
(244,	'Tai chi'),
(245,	'Topiary'),
(246,	'Travel'),
(247,	'Urban exploration'),
(248,	'Vacation'),
(249,	'Vegetable farming'),
(250,	'Vehicle restoration'),
(251,	'Walking'),
(252,	'Water sports'),
(253,	'Action figure'),
(254,	'Antiquing'),
(255,	'Art collecting'),
(256,	'Book collecting'),
(257,	'Cartophily (card collecting)'),
(258,	'Coin collecting'),
(259,	'Comic book collecting'),
(260,	'Deltiology (postcard collecting)'),
(261,	'Die-cast toy'),
(262,	'Dolls'),
(263,	'Element collecting'),
(264,	'Ephemera collecting'),
(265,	'Fusilately (phonecard collecting'),
(266,	'Knife collecting'),
(267,	'Lotology (lottery ticket collect'),
(268,	'Movie and movie memorabilia coll'),
(269,	'Perfume'),
(270,	'Phillumeny'),
(271,	'Rail transport modelling'),
(272,	'Record collecting'),
(273,	'Rock tumbling'),
(274,	'Scutelliphily'),
(275,	'Shoes'),
(276,	'Sports memorabilia'),
(277,	'Stamp collecting'),
(278,	'Stuffed toy collecting'),
(279,	'Tea bag collecting'),
(280,	'Ticket collecting'),
(281,	'Toys'),
(282,	'Video game collecting'),
(283,	'Vintage cars'),
(284,	'Vintage clothing'),
(285,	'Antiquities'),
(286,	'Auto audiophilia'),
(287,	'Flower collecting and pressing'),
(288,	'Fossil hunting'),
(289,	'Insect collecting'),
(290,	'Magnet fishing'),
(291,	'Metal detecting'),
(292,	'Mineral collecting'),
(293,	'Rock balancing'),
(294,	'Sea glass collecting'),
(295,	'Seashell collecting'),
(296,	'Stone collecting'),
(297,	'Animal fancy'),
(298,	'Axe throwing'),
(299,	'Badminton'),
(300,	'Baton twirling'),
(301,	'Beauty pageants'),
(302,	'Billiards'),
(303,	'Bowling'),
(304,	'Boxing'),
(305,	'Bridge'),
(306,	'Cheerleading'),
(307,	'Chess'),
(308,	'Color guard'),
(309,	'Curling'),
(310,	'Dancing'),
(311,	'Darts'),
(312,	'Debate'),
(313,	'Eating'),
(314,	'Esports'),
(315,	'Fencing'),
(316,	'Go'),
(317,	'Gymnastics'),
(318,	'Ice hockey'),
(319,	'Ice skating'),
(320,	'Judo'),
(321,	'Jujitsu'),
(322,	'Kabaddi'),
(323,	'Laser tag'),
(324,	'Longboarding'),
(325,	'Mahjong'),
(326,	'Marbles'),
(327,	'Martial arts'),
(328,	'Poker'),
(329,	'Shogi'),
(330,	'Slot car racing'),
(331,	'Speedcubing'),
(332,	'Sport stacking'),
(333,	'Table football'),
(334,	'Table tennis'),
(335,	'Volleyball'),
(336,	'Weightlifting'),
(337,	'Wrestling'),
(338,	'Airsoft'),
(339,	'American football'),
(340,	'Archery'),
(341,	'Association football'),
(342,	'Australian rules football'),
(343,	'Auto racing'),
(344,	'Baseball'),
(345,	'Beach volleyball'),
(346,	'Breakdancing'),
(347,	'Climbing'),
(348,	'Cricket'),
(349,	'Cycling'),
(350,	'Disc golf'),
(351,	'Dog sport'),
(352,	'Equestrianism'),
(353,	'Exhibition drill'),
(354,	'Field hockey'),
(355,	'Figure skating'),
(356,	'Fishing'),
(357,	'Footbag'),
(358,	'Golfing'),
(359,	'Handball'),
(360,	'Horseback riding'),
(361,	'Jukskei'),
(362,	'Kart racing'),
(363,	'Knife throwing'),
(364,	'Lacrosse'),
(365,	'Longboarding'),
(366,	'Marching band'),
(367,	'Model aircraft'),
(368,	'Racquetball'),
(369,	'Radio-controlled car racing'),
(370,	'Roller derby'),
(371,	'Rugby league football'),
(372,	'Sculling or rowing'),
(373,	'Shooting sport'),
(374,	'Skateboarding'),
(375,	'Softball'),
(376,	'Speed skating'),
(377,	'Squash'),
(378,	'Surfing'),
(379,	'Swimming'),
(380,	'Table tennis'),
(381,	'Tennis'),
(382,	'Tennis polo'),
(383,	'Tether car'),
(384,	'Tour skating'),
(385,	'Trapshooting'),
(386,	'Triathlon'),
(387,	'Ultimate frisbee'),
(388,	'Volleyball'),
(389,	'Water polo'),
(390,	'Fishkeeping'),
(391,	'Learning'),
(392,	'Meditation'),
(393,	'Microscopy'),
(394,	'Reading'),
(395,	'Shortwave listening'),
(396,	'Audiophile'),
(397,	'Videophilia'),
(398,	'Aircraft spotting'),
(399,	'Amateur astronomy'),
(400,	'Birdwatching'),
(401,	'Bus spotting'),
(402,	'Geocaching'),
(403,	'Gongoozling'),
(404,	'Herping'),
(405,	'Hiking/backpacking'),
(406,	'Meteorology'),
(407,	'Photography'),
(408,	'Satellite watching'),
(409,	'Trainspotting'),
(410,	'Traveling'),
(411,	'Whale watching');

DROP TABLE IF EXISTS `Tagged`;
CREATE TABLE `Tagged` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `idTag` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idUser` (`idUser`),
  KEY `idTag` (`idTag`),
  CONSTRAINT `Tagged_ibfk_1` FOREIGN KEY (`idUser`) REFERENCES `User` (`id`),
  CONSTRAINT `Tagged_ibfk_2` FOREIGN KEY (`idTag`) REFERENCES `Tag` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `User`;
CREATE TABLE `User` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(32) NOT NULL,
  `last_name` varchar(32) NOT NULL,
  `age` int(11) NOT NULL,
  `login` varchar(32) NOT NULL,
  `password` varchar(128) NOT NULL,
  `email` varchar(254) NOT NULL,
  `biography` varchar(140) DEFAULT NULL,
  `position` varchar(100) DEFAULT NULL,
  `idGender` int(11) NOT NULL DEFAULT 3,
  PRIMARY KEY (`id`),
  KEY `idGender` (`idGender`),
  CONSTRAINT `User_ibfk_1` FOREIGN KEY (`idGender`) REFERENCES `Gender` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `Visit`;
CREATE TABLE `Visit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idSender` int(11) NOT NULL,
  `idTarget` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `idVisited` (`idSender`),
  KEY `idVisitor` (`idTarget`),
  CONSTRAINT `Visit_ibfk_1` FOREIGN KEY (`idSender`) REFERENCES `User` (`id`),
  CONSTRAINT `Visit_ibfk_2` FOREIGN KEY (`idTarget`) REFERENCES `User` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


-- 2020-01-18 15:57:14
